/***************************************************************/
//
//
//		DirectX	[ explosion.h ]
//
//											Author	kazuki tanaka
//											Date	2016 9/2
/*---------------------------------------------------------------
■Update : 2016/9/2
			explosion.hの作成
			EXPLOSIONの初期化処理の追加
			EXPLOSIONの終了処理の追加
			EXPLOSIONの更新処理の追加
			EXPLOSIONの描画処理の追加

■Update : 2016/9/2



/*-------------------------------------------------------------*/
#ifndef _EXPLOSION_H_

#define _EXPLOSION_H_

/*---------------------------------------------------------------
	サブルーチン
---------------------------------------------------------------*/

void InitExplosion( void );			// EXPLOSIONの初期化
void UninitExplosion( void );		// EXPLOSIONの終了処理
void UpdateExplosion( void );		// EXPLOSIONの更新処理
void DrawExplosion( void );			// EXPLOSIONの描画処理

void SetExplosion(					// 爆発の設置
	const LPD3DXVECTOR2 pos,		// 爆発中心点
	const float radius,				// 爆発半径
	const float scale,				// 爆発範囲(スケール)
	const D3DXCOLOR color,			// 爆発の色(+α値)
	const unsigned int number );	// 爆発個数フレーム


void SetExplosion( 
	const D3DXVECTOR2 pos,
	const float radius,
	const float scale,
	const D3DXCOLOR color,
	const unsigned int number );

void SetExplosion( const LPD3DXVECTOR3 coord );


#endif	//	_EXPLOSION_H_


